You are not logged in.

#1 2024-06-04 20:32:05

Lorec
Member
Registered: 2023-09-28
Posts: 8

[FIXED] `pacman -U` AUR package `invalid . . .`

Trying to install mit-scheme [https://aur.archlinux.org/packages/mit-scheme].

I have now tried deleting and re-cloning the repo [re-running makepkg, re-running pacman -U] multiple times.

The first time I tried

makepkg --syncdeps

I got a warning about missing PGP signatures and tried running

makepkg --syncdeps --skippgpcheck

makepkg worked. But on

sudo pacman -U

I got

error: 'mit-scheme-12.1-x86-64.tar.gz': invalid or corrupted package (PGP signature)

I tried deleting the repo, cloning down the repo again. This time I ran

makepkg

without --skippgpcheck, and actually used gpg to get the key. However,

pacman -U

gives me the same error.

I figure there must be some cache somewhere I'm not deleting, but I don't know where it would be.

mit-scheme

gives me Command not found

pacman -Q grep | scheme

nothing.

Last edited by Lorec (2024-06-04 23:44:29)

Offline

#2 2024-06-04 20:55:11

gromit
Package Maintainer (PM)
From: Germany
Registered: 2024-02-10
Posts: 87
Website

Re: [FIXED] `pacman -U` AUR package `invalid . . .`

Whats the output of "ls -l /var/cache/pacman/pkg/mit-scheme-12.1-x86-64.tar.gz{,.sig}"?
Also please specify the exact command that you have used and the full output of the erroring commands.

Last edited by gromit (2024-06-04 20:55:35)

Offline

#3 2024-06-04 21:16:51

Scimmia
Fellow
Registered: 2012-09-01
Posts: 11,691

Re: [FIXED] `pacman -U` AUR package `invalid . . .`

You need to install the package with pacman -U, not the source tarball.

Offline

#4 2024-06-04 22:23:44

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 12,025
Website

Re: [FIXED] `pacman -U` AUR package `invalid . . .`

Mod note: Moving to AUR Issues.


Sakura:-
Mobo: MSI MAG X570S TORPEDO MAX // Processor: AMD Ryzen 9 5950X @4.9GHz // GFX: AMD Radeon RX 5700 XT // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 6x 1TB SSD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

#5 2024-06-04 23:43:51

Lorec
Member
Registered: 2023-09-28
Posts: 8

Re: [FIXED] `pacman -U` AUR package `invalid . . .`

Scimmia wrote:

You need to install the package with pacman -U, not the source tarball.

Oh. Duh. Thank you, that was it.

Offline

Board footer

Powered by FluxBB